import { API } from '../api.js';
import { LitElement, css, html, repeat } from '../vendor/lit-html/lit-all.min.js';

export class DocumentQueueEntryPage extends LitElement {
	static properties = {
		queueEntry: { type: Object },

		api: { type: Object, state: true },
	};

	constructor() {
		super();

		/** @type {API} */
		this.api;
		/** @type {import('model').APIQueueEntry} */
		this.document;
	}

	static styles = css`
		img {
			width: 128px;
		}
	`;

	// @ts-ignore
	render() {
		return html`
			<img id="image" src=${`/api/queue-entry-page/${this.document.id}/preview`}></img>
			<span>This is a document</span>
		`;
	}
}

customElements.define("document-queue-entry-page", DocumentQueueEntryPage);
